



                       A USER'S GUIDE FOR


                         ***************
                         **  PC-ELMO  **
                         ***************

                          Version  1.10





        A Utility Economics Program for the IBM PC/XT/AT


                 EVALUATION OF LOAD AND FACILITY

                      MANAGEMENT STRATEGIES




This User's Guide for PC-ELMO  provides information on how to  run
the program and describes its many features and options.   PC-ELMO
is provided on an "as is" basis.  There are no  warranties, either
expressed or implied,  including but not  limited to implied  war-
ranties of  merchantability of  fitness for  a particular purpose,
and all such warranties are expressly and specifically disclaimed.
Should you encounter difficulties  with the program or  have other
suggestions about it, please contact the author.

                       J. Kenneth Shultis
                       Dept. Nuclear Engg.
                         Ward Hall, KSU
                       Manhattan, KS 66506
                      Phone: (913) 532-5624




                       Copyright (c) 1988
           Kansas Electric Utilities Research Program
                     Kansas State University

                       All rights reserved







                       1. PROBLEM SUMMARY


    PC-ELMO is  a program  that evaluates  the economic  costs and
benefits  of several load and facility management strategies.  The
strategies or options considered include

   Option 1: periodic shedding of air conditioning load  during
             peak  demand  conditions  by  remote or local load
             controllers

   Option 2: remote reading of meters for billing purposes

   Option 3: remote reading  of meters  to obtain  remote  load
             surveys

   Option 4: implementation  of  time-of-day  rates  or  demand
             metering

   Option 5: ability  to  connect/disconnect  customer  service
             remotely

   Option 6: remote  voltage/var  control   using  distribution
             automation equipment

   Option 7: central evaluation  of  storm damage  through  the
             ability to read meters remotely

   Option 8: capability to  detect the  theft of  service  with
             remotely readable meters


    For any  combination of  these options,  PC-ELMO estimates the
present worth values of all the costs and benefits of the selected
selected  options  over  a  specified  study  time  for  the  load
management  program.   Based  on  the  present  worth  values,   a
benefit/cost ratio is calculated for each selected option as  well
as for the sum of all options.

    A  special  feature  of  PC-ELMO  is  the ability to perform a
sensitivity study to determine which of the many model  parameters
have  the  most  influence  on  the  overall  benefit/cost  ratio.
Through  such  analyses,  the  model  parameters  may  be  readily
adjusted to obtain a realistic assessment of the feasibility of  a
utility undertaking some of these load management strategies.

    The program allows the  utility analyst to change  quickly any
of  the  values  assigned  to  the  model parameters and to change
easily the mix of  management strategies considered.  The  program
is   intended   to   be   highly   interactive   with   the  user.
Context-sensitive  help  messages  allow  the  user  to enter data
without the need to refer  to this User's Manual, and  the program
structure and the control menus are designed to permit one to  use
the program with little initial training or familiarity with it.

    The many economic models and assumptions used in the  analyses
are described  in a  companion report  "Economic Models  For Cost/
Benefit   Analyses   of   Eight   Load   and   Facility Management
Strategies," by J.K. Shultis and A. Pahwa, Report 194, Engineering
Experiment Station, Kansas State University, Manhattan, KS  66506,
January 1988.





                   2. PRELIMINARY INFORMATION


2.1  PROGRAM REQUIREMENTS

    PC-ELMO  was written in  MicroSoft QuickBASIC v. 4.0  and then
compiled  to  produce  a  single,  self-contained,  program module
called ELMO.EXE.  This module will run on any IBM PC/XT/AT/PS-2 or
compatible PC that uses DOS 2.0 (or later versions).

    The PC needs at least 256K of memory and one floppy disk drive
(although two drives or a  hard disk make using the  program some-
what easier).   The program  should work  with any  standard video
board and monitor.  If printed output from the program is desired,
a printed must be attached to either of the first two parallel  or
serial  ports  of  the  microcomputer.   For  systems  without  an
attached printer, printed output can be placed into a special  PRT
file for later printing on a system with a printer.



2.2  BACKUP COPIES OF THE PROGRAM

    Before using  PC-ELMO for  the first  time, make  at least one
backup copy  of the  program diskette.   The program  is not  copy
protected and may be easily copied.  For example, use the DOS copy
command
                         COPY A:*.* B:

to copy all the files on  the original diskette (assumed to be  in
drive A:) onto a newly formatted system diskette that is in  drive
B:.  Put the original distribution diskette away for safe keeping.



2.3  PARALLEL AND SERIAL PORTS FOR PRINTERS

    PC-ELMO  has  program  options  which  print  problem data and
results.  Most standard printers can be used with PC-ELMO, and, if
a printer is available, it is assumed to be attached to one of the
first two serial or parallel  ports.  The printer is also  assumed
to use continuous-feed paper of 11 inch length (66 printed  lines)
or cut-sheet  paper of  the same  size.  While  paper of different
length can  be used,  page breaks  will not  be properly placed on
such non-standard length forms.  (If a printer is not attached  to
the PC,  printer output  can be  placed in  a disk  file for later
porting to another PC for printing.)

    You can  switch between  different printers  during a  PC-ELMO
session or store your printer  port in an initialization file  for
automatic recall  at subsequent  sessions.  See  Section 10.2  for
details on selecting printer ports.



2.4  FILES USED BY PC-ELMO

    PC-ELMO  is  distributed  on  a  double-sided,  double-density
diskette of 360K capacity.  On the distribution diskette you  will
find several files, only two  of which are needed on  your working
disk, namely ELMO.EXE  and ELMO.INI.  The  following files are  on
the program distribution diskette:

       ELMO.EXE     -- The main program file for PC-ELMO
       ELMO.INI     -- File containing printer port information,
                       display colors, and paths for data files
       USERS.MAN    -- This user's manual
       README.DOC   -- File containing recent program information
       EXAMPLEi.DTA -- Sets of example input data

    The program  also creates  two types  of data  files which are
distinguished by their file-extensions.  Specifically,  extensions
of  the  type  ".DTA"  contain  problem  input  data.   Files with
extensions of ".PRT" are printer files containing data that  would
normally have been sent to  the printer.  These printer files  can
be later edited to rearrange the  form of the output data, and  to
serve as a mechanism for  storing printed data when no  printer is
available while the program is being run.



2.5  MONITORS AND VIDEO BOARDS

    PC-ELMO is designed to operate with virtually all video boards
attached to either a color  or monochrome monitor.  Color is  used
if a color monitor is used (although it may be toggled on and  off
by pressing  Alt-c whenever  the Main  Menu is  displayed).  Users
with a monochrome monitor will  see no effect if color  is toggled
on or off.

    The program is initially setup to expect an IBM Color Graphics
Adapter  (CGA)  or  equivalent  video  board.   However,  if  your
computer is  not equipped  with an  CGA board,  PC-ELMO will still
function.  For such systems, if the screen remains blank for  more
than a few seconds after the opening logo vanishes, then  pressing
the Alt-p  key combination  will cause  the Main  Menu to  appear.
Thereafter, the  program will  function normally.   By creating  a
program initialization file  (an option from  the Main Menu),  the
type of video board in your system will be remembered and  PC-ELMO
will always start up correctly on subsequent runs.



2.6  STARTING THE PROGRAM

    To start PC-ELMO,  place the program disk in the default drive
and issue  the command  "ELMO" (don't  type the  quotation marks).
After a few seconds the program will have been loaded into  memory
and the program logo will  appear on the screen.  It  is important
to start PC-ELMO from the default drive since it is on that  drive
that  the  program  looks  for  the  program  initialization  file
ELMO.INI.  The  diskette containing  the program  ELMO.EXE is  not
needed once  the program  has been  started and  it may be removed
from the drive.

    If  the  initialization  file  ELMO.INI  is not in the default
directory while the program is being loaded, you will be asked for
its directory  or whether  you wish  to use  default values.   See
Section 10 for a more detailed discussion of the program profile.

    A few seconds after the opening logo disappears, the Main Menu
should be displayed.  However,  if the screen remains  blank, then
simply press the Alt-p key combination to tell the program you  do
not have a Color Graphics  Adapter and the Main Menu  will appear.
Once  in  the  Main  Menu,  save your program initialization file,
ELMO.INI, so that the  Main Menu will always  appear automatically
when you start the program.






                       3. PROGRAM OVERVIEW



    PC-ELMO is entirely menu driven with built-in context-sensitive
help messages,  thereby freeing  the user  from having  to consult
manuals.   However,  it is  recommended  that  the first-time user
browse  through  this  User's  Guide  once prior to exercising the
program  to  become  familiar  with  the   program  features   and
capabilities.

    The program's purpose and  overall logic is straight  forward.
Input  data  about  the  management  options,  utility,  etc.  are
prepared.  The  feasibility analysis  is then  performed, and  the
results  displayed.   After  an  analysis,  the data may be easily
altered and a  new analysis performed.   In this way,  the user is
able  to  use  PC-ELMO  for  quickly  making  many "what if?" type
analyses  and  for  determining  the  sensitivity  of the analysis
results to various input parameters.

    Program options are available to allow the input data and  the
analysis results to  be printed out.   Also the input  data can be
stored on diskette for later retrieval or modification.  It  often
is much  easier to  recall a  previous set  of input  data and  to
modify  it  than  to  completely  enter  all  the  data  for a new
analysis.



3.1  OVERALL PROGRAM STRUCTURE

    It is  the Main  Menu of  PC-ELMO that  controls all the major
functions  of  the  program.   One  always  performs a new task by
returning to  the Main  Menu and  then selecting  the task.   Task
selection in this menu (and all other menus) is made by moving the
highlighted bar to  the desired task  and then pressing  the Enter
key.  (On  some menus,  function keys  are used  as an alternative
short-cut method  of selecting  a menu  task).  The  Main Menu  is
shown at the top of the next page.

    The selection of some of the tasks on the Main Menu will cause
either  a  secondary  menu  to  be  displayed  or a display screen
showing the results performed by the task.  You can always  return
to the higher level menu or  screen by pressing the F10 key.   The
relationship and interconnections among the various program  menus
and  display  screens  are  illustrated  in  Fig. 1 (which will be
printed at the end of this document).


       ==========  MAIN MENU -- PROGRAM CONTROL  ==========

                Enter or edit problem data
                Save problem input data on disk
                Retrieve input data from disk
                Print the problem input data
                Perform analysis using present data
                Display results on the screen
                Print results of analysis
                Perform sensitivity analysis
                Print sensitivity results
                Exit from program (F10)

                Manage files on data directory
                Change paths, printer, colors

       ====================================================

              Use cursor  keys; Enter choice with 



3.2  THE TASKS AVAILABLE ON THE MAIN MENU


3.2.1 Enter or Edit Problem Data

    The first task on  the Main Menu allows  you to enter or  edit
problem data for PC-ELMO.  Generally, this will be the first  part
of the program  used (or used  after retrieving an  input data set
from disk).  After choosing this Main Menu task, a Data Menu  will
be displayed allowing you to choose any one of ten Data Forms used
to  specify  the  problem  data.   In  each Data Form, data can be
entered, altered or  examined.  In this  portion, as in  all other
parts of  the program,  the F10  key returns  you to  the previous
higher level menu.


3.2.2 Save Problem Data

    This Main Menu item allows  you to store the current  data set
in the  computer memory  onto the  data diskette  in a  .DTA file.
This file may be read back into memory at a later time.  If a file
of the same name you specify already exists on the data  diskette,
you can specify another name or overwrite the existing file.

    The data will be placed  in the specified file on  the current
data directory.   This data  directory is  initially obtained from
the  initialization  file  (ELMO.INI)  when  the  program  starts.
However, the data path or directory may be changed at any time  by
selecting the "Change paths,  printer, colors" task from  the Main
Menu.   In  this  way  you  may  place  your  .DTA  in   different
directories or on different disks.

    It is important to save your data since it is always easier to
modify an existing data set than to reenter all 132 values  needed
before a complete analysis can be performed.  To prevent you  from
accidentally exiting  the program  when the  current data  has not
been saved, PC-ELMO will notify you that the current data has  not
been saved and ask for confirmation that you really wish to quit.


3.2.3 Retrieve a Data Set

    The third Main  Menu task activates  a portion of  the program
that allows you  to read in  a set of  input data saved  as a .DTA
file on the data  drive.  Options allow you  to view the names  of
all .DTA files residing on the data drive diskette.  The  diskette
may be changed if the desired data set is not found on the current
data diskette or the data directory (path) should be changed to
that for the desired data file.


3.2.4 Printing the Problem Data

    Selection  of  the  fourth  Main  Menu task causes the current
problem  data  to  be  printed.   The  data may be directed to the
physical printer, or, at your request, written into a .PRT file on
the  data  diskette  so  that  you  can later edit the file before
printing it.


3.2.5 Perform the Benefit/Cost Analysis

    This  task  activates  the  principal  portion of the program,
namely,  the  calculation  of  all  the  costs and benefits of the
selected management  options using  the current  problem data.   A
summary table for all selected options and their overall costs and
benefits is displayed.  From this summary table, analysis  details
for the individual management options can be displayed, or you can
return to the the Main Menu by pressing the F10 key.


3.2.6 Display Results of Analysis

    The sixth Main  Menu task causes  the Display Results  control
menu to be  shown.  From this  control menu you  can then selected
any particular management option (included in the latest analysis)
and examine all the costs  and benefits included in the  specified
option.   Alternately,  you  may  select  the  table which gives a
summary of results for all  options that were obtained during  the
most recent analysis.


3.2.7 Print the Results of the Analysis

    This  Main  Menu  task  causes  the  most recent results to be
printed or stored in  a .PRT file on  the data diskette for  later
editing.


3.2.8 Perform a Sensitivity Analysis

    With this task, the  sensitivity is determined of  the overall
benefit/cost ratio (for  the current problem  data) to changes  in
each of the economic  model parameters.  Each model  parameter, in
turn, is  increased by  one percent  and the  resulting percentage
change  in  the  overall  benefit/cost  ratio  is calculated.  The
benefit/cost ratio  changes are  then sorted  in descending order,
and the ordered changes are displayed in a series of tables.  With
this  program  feature,  those  model  parameters  which  are most
important  to  the  overall  benefit/cost  ratio  can  easily   be
determined.

    To  perform  a  realistic  analysis,  it  is  important to use
realistic values for the problem input data.  However, during  the
initial setup  of an  analysis, approximate  or guesstimate values
for most of  the problem data  often are used  to perform a  rough
scoping calculation.   Then with the sensitivity analysis feature,
those  input  parameters  than  are  most  important  to the final
outcome may be  quickly identified.  In  this manner, the  analyst
can determine which  data need to  be refined and  which data need
only be approximately estimated.


3.2.9 Print Results of Sensitivity Analysis

    With  this  Main  Menu  Task,  the  results of the sensitivity
analysis can be sent to an attached printer (or to a PRN file for
later printing).


3.2.10 Exiting the Program

    The  ninth  Main  Menu  task  (also  activated by the F10 key)
allows you to gracefully leave  PC-ELMO.  The sole purpose of  the
F10 key  is to  always return  you to  a higher  level menu and to
escape whatever task you have gotten yourself into.  From the Main
Menu, F10  lets you  get out  of PC-ELMO  itself.  (If  and of the
problem  data  has  been  changed  since  the last saving of data,
PC-ELMO will ask  you to confirm  that you wish  to return to  DOS
without saving the current data.)


3.2.11  Manage Files on Data Directory

    The last two tasks on the Main Menu are utility features.  The
penultimate task allows you to  view all the files of  the current
data directory and to see how much free disk storage remains.   To
free up space or to organize your files by giving them more useful
names,  any  the  the  files  on  this directory may be renamed or
deleted without leaving PC-ELMO.


3.2.12  Changing Data Paths, Colors and Printer

    The  last  Main  Menu  choice  allows  you  to change the data
directory, the directory for the initialization file ELMO.INI, the
colors  used  in  the  program  displays,  and  the  printer  port
specification.  Most importantly, you may then save these  program
parameters  in  the  initialization  file  (ELMO.INI) so that your
preferences automatically become the program  default values  when
you rerun PC-ELMO at a later time.


3.2.13  Special Keys

    Although  not  shown  on  the  Main  Menu,  the  "Alt-c"   key
combination may be  used to toggle  the color displays  on or off.
When toggled off  all displays will  be the usual  white on black;
when  activated,  different  colors  will  be  used to enhance the
screen  displays.   This  color  toggle  option is useful only for
users with  color monitors  and will  not be  apparent to users of
monochrome monitors.

    Finally, the "Alt-p" key combination may be used when the Main
Menu is displayed to switch  between CGA and non-CGA video  modes.
This key combination provides for more rapid menu displays if your
computer is equipped with a  Color Graphics Adapter (CGA).  If the
Main Menu does not appear after the opening program logo  appears,
press Alt-p and  the Main Menu  will then appear.   Creating a new
ELMO.INI  file  (from  the  last  Main  Menu  task) will allow the
program  to  start  in  the  correct  video  mode  upon subsequent
restarts of PC-ELMO.







              4.  ENTERING AND EDITING PROBLEM DATA

    Selecting the first item from the Main Menu causes PC-ELMO  to
display the the following "Menu  For Input Data Tables" (or  "Data
Menu"  for  short).   It  is  from  this  menu that you select the
different data tables or forms on which you enter or edit the data
needed for the cost/benefit analysis.



==================  MENU FOR INPUT DATA TABLES  ==================

GENERAL UTILITY & PROBLEM DATA    REMOTE CONN/DISCONN (RCD) OPT.
ANNUAL ESCALATION RATES           AUTOMATED VOLT/VAR CONTROL (RVC)
LOAD-CONTROL (LC) OPTION          STORM-DAMAGE EVAL. (SDE) OPTION
REMOTE METER (RM) READING OPTION  DETECTION OF SERVICE THEFT (DST)
REMOTE LOAD SURVEY (LS) OPTION    Select management options
TIME-OF-DAY (TOD) RATES           Return to Main Menu (F10)

==================================================================

               Use cursor keys; Enter choice with 



    Use the cursor  to move the  highlighted bar around  this menu
and then select a particular data table by pressing the Enter  key
once the  desired table  is highlighted.   Once a  particular Data
Form is displayed,  the other Data  Forms may be  accessed without
returning to the Data Menu by simply pressing the PgUp (PgDn)  key
to go to the previous (next)  Data Form.  It should be noted  that
the  last  Data  Form  is  "adjacent"  to the first form (i.e. the
tables are connected cyclically so  that Data Form 1 follows  Data
Form 10).   Finally, F10 allows you a quick method to return  from
the Data Menu to the Main Menu.


4.1  INTRODUCTION TO ENTERING AND CORRECTING DATA

    By selecting one  of the possible  Data Form choices  from the
Data Menu (by moving the highlight bar and pressing Enter), a data
table or form will appear on the screen.  The data is then  simply
entered into the indicated  highlighted windows.  Full use  can be
made of the cursor and backspace keys when entering or  correcting
the data.  The Enter key,  the Up-Cursor key, and the  Down-Cursor
key terminate data entry into  any window and moves the  cursor to
the next data  window.  The Up-Cursor  and Down-Cursor keys  allow
one to  move rapidly  between adjacent  data windows.   If illegal
keys  are  pressed  (e.g.,  a  letter  key when numerical data are
required) the computer will beep and refuse the input  characters.
Once the data  input or editing  is completed for  any data table,
the  PgDn  (or  PgUp)  keys  quickly  transfer you to the next (or
previous) data table or the F10 key returns you  back to the  Data
Control Menu.

    Several shortcuts  and special  tricks for  entering data into
the data  windows are  discussed at  the end  of this chapter (see
Section 4.13).

    When the data window is  on any parameter value, a  definition
for that  problem parameter  can be  displayed by  pressing the F1
key.  The resulting help message will give a fuller explanation of
that particular datum than is afforded by the terse prompt on  the
Data Form.  The  help message will  often give a  typical value or
range of  values for  the datum.   The key  combination "Shift-F1"
causes  these  data  help  messages  to be displayed automatically
while in a Data Form.

    Unless all management options are selected, values for all 132
input data need not be supplied.   The input data for each of  the
eight management options are usually clustered together on a  Data
Form for each option (although some needed data may also be on the
first few general data forms.   To indicate which data are  needed
for the  currently selected  management options,  a bright  dot is
placed to the left of the  data captions for which values must  be
given.


4.2  DATA FORM 1:  GENERAL UTILITY & PROBLEM DATA

    The first  data table  provides the  program with  information
about the utility and the size of the load and facility management
program.  The following items are entered in this data form

%D -- Discount rate for utility (%): The appropriate percentage
          discount rate for the utility (i.e., the value of money
          to the utility).

%FCR -- Fixed charge rate for capital equipment (%): The
          percentage fixed charge rate (%) for the utility used to
          give the levelized annual revenue requirements over
          #YR.FCR years needed to capitalize an equipment
          purchase.

#YR.FCR -- Amort. period for fixed charge rate (y): The number of
          years used for amortizing a capital purchase (i.e., the
          number of years used in the definition of the fixed
          charge rate %FCR).

#YR.STUDY -- Duration of benefit/cost analysis (y): Number of
          years over which the management options are to be
          analyzed.

$PLANNING -- Initial planning costs for all options ($): The cost
          of initial management planning for implementing all
          selected management strategies. Set this quantity to
          zero if these costs are to be ignored.

$BASE.EQP -- Cost of base-line equipment ($): Capital and
          installation costs of base-line equipment needed
          regardless of what management options are selected.

$INIT.PROM -- Initial promotional/marketing costs ($): Initial
          promotional, advertising, and marketing costs for
          implementing all selected management strategies. Annual
          promotional and marketing costs are included in each
          selected management option separately.

$OM.BSEQP -- Annual O&M cost of base-line LM equip. ($): Annual
          operating and maintenance expenses for the base-line
          equipment.

#CUST(LC) -- No. of customers in load control program: Number of
          customers whose air-conditioning load can be controlled
          by periodic power interruption (i.e. the number of
          customers participating in the load control option).

#CUST(RM) -- No. of remote-readable meters: Number of customers
          with remote-readable meters used for billing purposes
          (or for storm-damage evaluation).

#CUST(LS) -- No. customers with remote survey meters: Number of
          customers with metering that can be used to obtain
          remote load surveys.

#CUST(TOD) -- No. of time-of-use meter installations: Number of
          customers placed on time-of-use (or time-of-day) rates.
          Meters may or may not be remotely readable.

#CUST(RCD) -- No. of remote connect/disconnect devices: Number of
          metering locations which can be remotely connected/
          disconnected.

$PG/KW -- Peak generation power cost ($/kW): Total cost to the
          utility of generating peak power (not including
          transmission and distribution).

$TRAN/KW -- Cost of peak transmission capacity ($/kW): Cost of
          transmission facilities for peak power (down to, but not
          including, the distribution level).

$/KWH -- Average energy cost to customer ($/kWh): Average cost of
          electrical energy to the customer. This cost is assumed
          to be constant throughout the day.



4.3  DATA FORM 2:  ANNUAL ESCALATION RATES

    This data table  defines the  escalation rates to be used  for
the  many  different  types  of  costs  components  needed for the
analysis.   Specifically,   the  following   percentage  inflation
factors must be provided.

%ESCP -- Escalation rate for energy costs (%/y): Annual escalation
          rate for energy costs (generation and customer costs are
          assumed to escalate at the same rate and to be the same
          for both peak and off-peak energy).

%ESCR -- Rate for cost of peak spinning reserves (%/y): Annual
          escalation rate for the value of spinning reserves
          at average peak conditions.

%ESCLAB -- Escalation rate for labor costs (%/y): Annual
          escalation rate for utility labor costs. (Also used for
          the escalation rate for technical manpower, billing,
          promotional, marketing, and storm-damage restoration
          costs).

%ESCOM -- Escalation rate for O&M costs (%/y): Annual escalation
          rate for operating and maintenance costs.

%ESCC -- Rate for peak capacity additions (%/y): Annual escalation
          rate for construction of new peaking generation and
          transmission capacity.

%ESCPROM -- Rate for LM promot./marketing costs (%/y): Annual
          escalation rate for promotional and marketing costs.

%ESCPAY -- Rate for LC option incentive payments (%/y): Annual
          escalation rate for any incentive payments used to
          induce a customer to participate in the load-control
          program.

%ESCRPR -- Rate for repair costs of LC devices (%/y): Annual
          escalation rate for LCD repair costs.

%ESCBILL -- Escalation rate for billing costs (%/y): Annual
          escalation rate for billing costs.

%ESCCAP -- Rate for cost of undetected bad cap. (%/y): Annual
          escalation rate for the cost of an undetected failed
          capacitor bank.

%ESCCOMP -- Rate for cost of low-volt. complaints (%/y): Annual
          escalation rate for cost of low-voltage complaints.

%ESCERR -- Rate for cost of a bad meter reading (%/y): Annual
          escalation rate (%) for cost of a meter reading error or
          of claims against a utility.



4.4  DATA FORM 3:  LOAD-CONTROL (LC) OPTION

    To  permit  an  analysis   of  the  economic  feasibility   of
implementing  air-conditioning  load  control,  the following data
must be provided.

$CNTRLR.LC -- Incr. cost of remote-meter controller ($): Capital
          and installation costs of the master controller for
          load-control devices.  These are costs above those
          included in the base-line equipment.

$/LCD -- Cost of one load control device ($): Capital cost of each
          load control device that is installed at each customer
          site participating in the load control program.

$INST/LCD -- Installation cost for each LC device ($):
          Installation cost of each load control device.

$OM/LCD -- Annual O&M costs for each LC device ($): Annual
          operating and maintenance cost per installed
          load-control device.

$REPAIR/LCD -- Repair cost of a failed LC device ($): Cost of
          repairing or replacing a failed load-control device.
          Repair and maintenance costs for the master controller
          should also be included (on a per LCD basis) in this
          cost.

$PAY/YR/LCD -- Ann. incentive payment to LC customer ($):
          Incentive payment given yearly to a customer for
          participating in the load-control program.

$LC.PROM/YR -- Annual promotional cost of LC program ($): Annual
          promotional and marketing costs to maintain the load
          control program (exclusive of incentive payments).

FAILRATE -- Failure rate of LC devices (failures/yr): Probability
          a load-control device will fail in any year.

$OPGEN/KWH -- G&T cost at off-peak conditions ($/kWh): Total
          generation and transmission cost of energy during
          off-peak conditions.

$PGEN/KWH -- G&T peak energy cost ($/kWh): Total generation and
          transmission cost of electrical energy under peak load
          conditions.

$RES/KW -- Cost of spinning reserve capacity ($/kW): Cost of
          spinning reserve capacity required to maintain a proper
          reserve margin.

KWAV/CUST -- Av. controllable load per customer (kW): Average
          controllable load (kW) per customer (averaged over all
          control days in the year).

KWMAX/CUST -- Max. diversified 1 hr load reduct. (kW): The maximum
          diversified load reduction (kW) per customer averaged
          over all customers on load control (i.e., the maximum
          reduction in the one-hour peak on the day with
          the maximum demand for an average customer).

PHR.LC/YR -- No. hrs of load control per year (h/y): Number of
          peak hours per year that load control is in effect.

OPHR.LC/YR -- Hrs. of off-peak load control a year (h/y): Number
          of off-peak hours per year that load control takes
          place.

%CAP.MARG -- % of peak cap. needed as spin. reserves: The percent
          of peak generation capacity that must be maintained as
          spinning reserves, i.e., the reserve margin.

%SHIFT -- % peak kWh shifted to off-peak times by LC: Percentage
          of total energy demand shifted from peak (controlled
          hours) to off-peak times. May be positive or negative.



4.5  DATA FORM 4:  REMOTE METER (RM) READING OPTION

    The following  data must  be specified  for the  accessing the
remote meter reading option.

$CNTLR.RM -- Incremental cost of RM control unit ($): Incremental
          cost of the central control unit (above base-line
          equipment costs) and any related software needed for
          remote metering.

$BILL.EQUIP -- Bill. equip. cost for remote metering ($): Cost of
          additional equipment and software for transferring
          remote meter readings to the billing data base.

$/RM -- Incremental cost of each RM meter ($/site): Incremental
          capital and installation costs ($) of each remote meter
          above any base-equipment costs or costs ascribed to
          other management options.

OM.RM/CUST -- Ann. O&M per remote-readable meter ($): Annual O&M
          costs (including repairs) per installed remote meter
          above that included in $OM/LCD.

$MR/CUST -- Annual meter reading cost per customer ($): Average
          annual meter reading cost per customer.

$BILL/CUST -- Cost to prepare a customer's bill ($): Average
          billing cost (exclusive of meter reading labor) to
          prepare a single customer bill using traditional
          processing of metering reading data.

$AV.BILL -- Ann. av. of a customer's monthly bill ($): Yearly
          average of an average customer's monthly power bills.

$ERR/CUST -- Cost of making a meter reading error ($): The average
          cost to the utility of making an error in reading a
          customer's meter.

PROB.ERR -- Probability of meter reading error: Probability of
          making a meter reading error with conventional meter
          reading methods.

#MR/YR -- Av. no. of meter readings made each year: Average number
          of readings made of a customer's meter in a year.

DAYS.IMPRV -- No. of billing days saved with RM: Number of days
          per year saved by faster billing as a result of remote
          metering.

%SAVRM -- % savings in meter-reading labor with RM: Percent
          savings in meter-reading labor costs using remote meter
          reading.

%SAV/BILL -- % savings in bill prep. costs with RM: Percent
          savings in bill-preparation costs using automated
          processing of data obtained from remote metering.

%ERR.REDUCT -- % reduct. in meter reading errors with RM: Percent
          reduction in meter reading errors resulting from remote
          reading capability. If remote metering increases billing
          errors, this value is negative.



4.6  DATA FORM 5:  REMOTE LOAD SURVEY (LS) OPTION

    For the remote load survey option, the following data must  be
supplied to the program.

SUR/YR -- No. of load surveys per year: Average load survey
          frequency, i.e., the inverse of the average time between
          surveys (in years).

$CNTRL.RLS -- Remote load-survey controller cost ($): Incremental
          installation and capital costs of additional equipment
          to the remote-metering control unit, data storage
          devices, and specialized software needed to give remote
          load-survey capability.

$/AUTO.SUR -- Incr. technical cost for a load survey ($):
          Incremental cost in technical effort to operate a remote
          load survey compared to a traditional survey. This cost
          may be positive or negative.

$EQUIP.OLD -- Traditional LS equipment cost ($/site): Cost of
          traditional load-survey equipment per customer.

$EQUIP.RLS -- Remote load-survey equip. cost ($/site): Cost of
          any additional options to remote metering units to give
          remote load-survey capability.

$SURVY/CUST -- Traditional load-survey cost ($/site): Cost of
          making a traditional load survey (including O&M) per
          customer.

%SALV.LS -- Old LS-equip. salv. value (% of new value): Percent of
          the value of the traditional load-survey equipment that
          can be salvaged when remote load-survey equipment is
          installed.

%SAV.LS -- Remote LS cost savings (% of traditional): Percent
          saving in load survey costs over traditional costs
          afforded by remote survey capability (may be positive or
          negative).

4.7  DATA FORM 6:  TIME-OF-DAY (TOD) RATES

    To  evaluate  the  effectiveness  of time-of-use (time-of-day)
rates, the data below is used.

$CNTLR.TOD -- Incremental cost of TOD control unit ($):
          Incremental cost (above base-line or other option
          equipment) of central control unit, related software,
          data storage equipment, and equipment for transferring
          meter data to the billing data base.

$/RM.TOD -- Incr. cost for a time-of-use meter ($): Incremental
          installation and capital costs of each demand meter
          used for the TOD option (less conventional meter cost if
          at a new location). These are costs not covered in the
          base-line equipment costs or in other options.

$INST/TOD -- Install. cost of each TOD meter ($): Installation
          cost for each remote-readable demand meter.

OM.TOD/CUST -- Ann. O&M cost per TOD meter ($): Annual O&M costs
          (including repairs) per installed remote demand meter.

$BILL/TOD -- Incr. bill-prep. cost for TOD option ($): Incremental
          cost of preparing TOD billing over conventional billing
          for each customer.

EST.TOD.RATE -- Cost of establishing TOD rates ($): Initial cost
          of establishing the time-of-day rate option.

$PR.TOD/YR -- Ann. promotional cost for TOD program ($): Annual
          cost of promotional and marketing efforts to maintain
          the time-of-day rate program.

$PG.TOD/KWH -- G&T cost at high-rate TOD times ($/kWh): Annual
          average cost of generating and transmitting energy
          during high-rate TOD periods.

$OPG/KWH -- G&T costs at non-peak TOD times ($/kWh): Average
          annual cost of generating and transmitting energy during
          non high-rate times.

$P.TOD/KWH -- High-rate TOD energy cost ($/kWh): Price of high-
          rate energy to the customers who have time-of-day rates.

$OP.TOD/KWH -- Off-peak energy cost to TOD cust. ($/kWh):
          Effective TOD customer price of off-peak energy, i.e.,
          the average of shoulder and off-peak rates, weighted by
          energy sales in these two rate categories.

KWHP/CUST -- Av. demand during high-rate times (kW): Annual
          average daily energy consumption by TOD customers during
          high-rate conditions before implementation of TOD rates.

P.CHNG/CUST -- Av. peak power reduct. caused by TOD (kW): Average
          reduction in maximum one-hour peak (high rate) energy
          consumption per customer following implementation of TOD
          rates.

%REDUC.TOD -- % decr. in cust. demand at high TOD times: Annual
          average percent reduction in high-rate energy demand
          caused by implementation of TOD rates.

%SHIFT.TOD -- % peak kWh shifted to off-peak TOD times: Percent
          change in amount of the high-rate shift to shoulder and
          off-peak times. If %CHNG.TOD > (<) 100 then more (less)
          energy than the peak reduction is shifted to the
          off-peak time.



4.8  DATA FORM 7:  REMOTE CONNECT/DISCONNECT (RCD) OPTION

    The economic models used to analyze the costs and benefits  of
installing a remote connection/disconnection of service are  based
on the parameters below.

$/RCD -- Cost of each RCD device ($/site): Incremental capital
          cost of each connect/disconnect relay installed at a
          metering location above the cost of the meter itself.

$INST/RCD -- Installation cost for a RCD device ($): Installation
          cost of each remote connect/disconnect relay at a meter
          location.

OM.RCD/CUST -- Annual O&M cost per RCD relay ($): Annual O&M costs
          (including repairs) per installed relay for remote
          connect/disconnect above that needed for O&M of other
          remote metering capability.

$CNTLR.RCD -- Software cost for RCD controller ($): Incremental
          cost of software for the central remote-meter control
          unit to enable the remote service connect/disconnect.

$/RCD.ERR -- Cost of claim for erroneous disconnect ($): Average
          cost of settling a claim for erroneous disconnection of
          service.

$SAV/CONN -- Savings of a remote vs manual disconn.($): The
          difference in labor costs between a conventional and a
          remote service connection or disconnection.

$FINAL.BILL -- Value of average final bill ($): Average value of a
          final bill at service termination.

#D/START -- Increased service days from remote connect: Number of
          days of increased service provided to new customer by
          remote connect capability.

#D/CURT -- No. of days saved by remote disconnect: Number of days
          by which service to non-paying customer is reduced by
          remote service curtailment.

#CONN/YR -- Av. ann. no. of connect/disconn. per cust.: Number of
          connect/disconnect operations per meter per year.
          One-half of this value is taken as the number of
          disconnections and the number of connections made per
          year.

#ERR/RCD -- Prob. increase of a disconnection error: The
          difference between the probabilities, with and without
          RCD, that an erroneous disconnect will be made and lead
          to a claim against the utility that is subsequently
          paid. (Negative if the frequency of errors with RCD
          decreases.)

%CURT.LOSS -- % of service cutoffs for non-payment: Percent of
          service curtailments made for non-payment of bills and
          which are never collected.

%UNPAID -- % of final bills that are not paid: Percent of final
          bills that are uncollected using traditional service
          termination procedures.

%INCR.PAYMT -- % incr. in paid final bills with RCD: Percent
          increase in collection of final bills as a result of
          being able to disconnect service remotely and to
          immediately give the customer a final bill.



4.9  DATA FORM 8:  AUTOMATED VOLTAGE/VAR CONTROL (RVC)


    For  distribution  automation  in  which  better   voltage/var
control is sought, the following models parameters are used.

$/RVCCNTRL -- Cost of central distr. automation unit ($): Cost
          (including installation) of the distribution automation
          unit (master controller) for the remote control of
          capacitor banks.

$OM/RVC.CNT -- Annual O&M cost for RVC controller ($): Annual O&M
          costs for the distribution automation unit.

$INSTAL/RVC -- Install./train. costs for RVC unit ($):
          Installation, software, and training costs for the
          distribution automation unit for remote control of
          capacitor banks.

#CAP -- No. of remotely controlled capacitor banks: Number of
          remotely controlled capacitor banks for use in automated
          voltage/var control.

$/RVCUNIT -- Cost of control equip. at each cap. ($): Capital cost
          (no installation) of each capacitor bank controller,
          associated transducers, communication equipment, and any
          needed remote metering.

$INSTAL/CAP -- Install. cost remote cap. bank equip. ($):
          Installation cost of equipment at each capacitor bank.

$SALV/AUTO -- Salvage value of old auto-control unit ($): Salvage
          value of any replaced auto controllers when replaced by
          new equipment for the remote control of the capacitor
          bank.

$O&M/RVC -- Annual O&M cost for a remote cap. bank ($): Annual O&M
          costs for each remotely controlled capacitor bank and
          associated equipment.

$/COMPLAINT -- Av. cost of a low-voltage complaint ($): Average
          cost that results from a customer's complaint of low
          voltage.

$/CAPFAIL -- Ann. cost of undetected & failed cap. ($): Annual
          cost of not immediately detecting a failed capacitor
          bank when it fails (i.e., the failed bank is found only
          during normal field inspections).

$AVGEN/KWH -- Average cost of energy generation ($/kWh): Annual
          average cost to the utility of generating electrical
          energy.

LOAD.RVC -- Decrease in power losses with RVC (kW): Average
          difference in power losses (kW) between remotely
          voltage/var controlled distribution lines and the same
          lines without remote voltage/var control.

PLOAD.RVC -- Reduced Trans.-line losses with RVC (kW): Average
          difference in transmission line losses (kW) between
          remote voltage controlled (RPVC) line and uncontrolled
          line at feeder peak conditions.

HRS/YR(RVC) -- No. hours per year RVC is in effect (h/y): Average
          number of hours per year that remote voltage control of
          distribution lines is in effect with RVC.

CAP.FR -- Failure rate of capacitor banks (fail./y): Failure rate
          per year of a capacitor bank.

#COMP/YR -- No. of low-voltage complaints each year: Average
          number of customer complaints for low voltage in a year.

%CREDUCT -- % decr. in low-volt. complaints with RVC: Percent
          reduction in the number of low-voltage complaints as a
          resulting from remote voltage control.



4.10  DATA FORM 9:  STORM-DAMAGE EVALUATION (SDE) OPTION

    With remote meter reading equipment it is possible to evaluate
storm  damage  centrally  and  thereby  to  better  direct  system
restoration.   The  model  parameters  needed  for this option are
listed below.

$STRM.EQUIP -- Equip. cost for storm-damage analysis ($): Capital
          costs of all equipment needed to implement storm-damage
          evaluation and that is not included under other selected
          management options.

$OM.STORM -- Annual O&M cost for SDE equipment ($): Annual
          operating and maintenance costs of the remote meters and
          their control unit if not covered under other management
          options.

$STORM.PGM -- Initial cost of SDE software ($): initial cost of
          producing special purpose software to determine location
          of storm damage from remote meter-reading equipment.

$TECH/STORM -- Ann. manpower cost for storm analysis ($):
          Technical manpower costs to operate storm-damage
          analysis equipment.

$/STORM -- Av. service restor. cost per storm ($): Average cost of
          restoring service (manpower and equipment) following
          each storm.

$INTANG/YR -- Intang. val. of faster restoration ($/y): Annual
          value of intangible benefits (e.g. public relations)
          arising from faster system restoration following storm
          damage arising from remote system analysis capability.

$NET/KWH -- Cust. energy cost less G&T cost ($/kWh): Average
          customer energy cost less average generation.
          /distribution energy cost.

AV.DMD(ST) -- Av. diversified demand during storms (kW): Average
          diversified customer demand (kW) (annual average) during
          storm conditions.

HR.ST/YR -- No. storm outage hrs. per year (h/y): Number of hours
          of customer outage per year from storm related causes.

#STORM/YR -- Average number of storms each year: Average number of
          storms per year.

TOT.CUST -- No. cust. affected by remote storm anal.: Total number
          of customers on circuit affected by proposed load
          management strategy for storm-damage evaluation.

%STORM.SAV -- Savings in storm restoration costs (%): Percent
          saving in storm restoration costs because of faster
          detection of storm damage with remote meter-reading
          equipment.

%OUT.RED(ST) -- Reduct. in storm-outage time with SDE (%): Percent
          reduction in storm-induced outage time due to faster
          service restoration resulting from better evaluation of
          storm damage.



4.11  DATA FORM 10:  DETECTION OF SERVICE THEFT (DST)

    To  assess  the  remote  detection  of  theft  of service, the
following data must be specified.

TOT.CUST.SYS -- No. customers with theft potential: Total number
          of customers with potential for theft in the entire
          system, i.e., the number of customers among whom all
          service thefts occur.

#THEFT/CUST -- No. of service thefts per 1000 customers: Number of
          service thefts per 1000 customers.

KWH.THEFT/Y -- Annual energy loss by theft (kWh): Annual
          electrical energy lost by theft in entire system in one
          year.

$THEFT.PGM -- Cost of theft-analysis software ($): Initial cost
          of producing special purpose software to monitor suspect
          meters for possible service theft.

%INCR(TH) -- Increase in no. of detected thefts (%): Percent
          increase in number of detectable theft-of-service cases
          among customers with remote metering.

$CHNG/THEFT -- Sav. in prosec. costs with DST ($/theft): Net
          savings in prosecution costs for a theft-of-service case
          as a result of using remote theft detection strategy.



4.12  SELECTION OF THE MANAGEMENT OPTIONS

    The  last  Data  Table  selectable  from the Data Menu defines
which of  the load  and facility  options are  to be  collectively
analyzed.  When in the Data Menu, selecting the "Management Option
Selection" form  will display  a menu  listing the  eight possible
options.  Simply use the cursor to move the data window up or down
this list and enter Y (or N)  to indicate if the option is to  the
included in (or excluded from) the current analysis.  By returning
to this table between  analyses, the effect of  choosing different
management options can easily be determined.


4.13  ENTERING AND CHANGING DATA VALUES

    While in any data form, you can enter or change values only in
the  highlighted  data  field.   The  highlighted  field will move
downward  one  position  (or  wrap  around  to  the  top  field if
presently on the bottom position) by pressing the Enter key or the
Down-Cursor key.   Similarly, the  highlighted field  moves up one
position (with  wrap around  at the  top) if  the Up-Cursor key is
pressed.

    When the blinking cursor is in a highlighted field, it can  be
moved  to  the  left  or  right  by  pressing  the  Left-Cursor or
Right-Cursor keys.   The Backspace  key erases  the character over
the cursor and moves the cursor one space to the left.  You cannot
move beyond the left or right boundaries of the data field (a beep
will be heard and the cursor will stay at the boundary if you  try
to move out of the field).

    As  you  type  data  into  the  highlighted  field  (or delete
characters with  the Backspace  key), you  will find  only certain
keys are active.  If numerical data is requested, then pressing an
alphabetic  key  produces  only  a  beep  (indicating  an  error).
Similarly, if only a "Y" or "N" response is needed, then only  the
"Y" and "N" keys will  be active.  Also only permissible  function
keys are active.

    Before the  data in  a field  is entered  into memory, PC-ELMO
performs  a  superficial  check  on  the  data  to  see  if  it is
reasonable.  For example, while alphabetic letters cannot be typed
into  a  numeric  field  (with  the  exception  of  "e" or "E" for
scientific   exponential   notation),   a   non-number   such   as
"-+4.5e--12" can be typed in.  If you try to enter this value, the
computer will beep, blank out the erroneous input, and wait for  a
proper number.  Similarly, if  a positive number is  required, the
entry of  a negative  number will  cause the  computer to beep and
erase the offending number.   Additional checks on the  input data
are also performed at the  beginning of the analysis phase  of the
program.

    Alphabetic data is capitalized  automatically, so there is  no
need  to  hold  down  the  Shift  key  while  typing  in labels or
responding to a "yes or no" prompt (Y/N).







              5. STORING AND RETRIEVING INPUT DATA


5.1  STORING INPUT DATA ON DISK

    PC-ELMO allows you  to save your  input data so  that you need
not reenter them when rerunning the program at a later time.  From
the Main Menu select the second task "Save problem data in a  disk
file" to write the data to disk.  You will then be asked to  enter
a filename  (up to  8 characters).   The file  extension is always
chosen by the program to be ".DTA".

    If you select a filename  that is already on the  current data
directory, you will be asked if the old file is to be overwritten.
If you  want to  save the  old file,  then a  new filename must be
entered.  (Alternatively,  you could  put a  different diskette in
the data  drive or  change the  data directory  using the  "Change
paths, printer, colors"  selection from the  Main Menu ;  however,
this is a  poor practice since  you would then  have two different
files with the same filename.)  To help you select new  filenames,
a program option allows you to view all filenames (with  extension
".DTA") that presently are on the data directory.


5.2  RETRIEVING INPUT DATA FROM DISK

    Previously saved sets of input data can be read back into  the
computer memory by selecting the "Retrieve" item in the Main Menu.
You will then be asked for the filename of the file containing the
data (the file  extension is always  assumed to be  ".DTA").  If a
file  with  the  entered  filename  is  found  on the current data
directory, the file  will be read  and all the  data from it  will
overwrite all data that are currently in the memory.  If a file is
not found with  the specified filename,  you will be  requested to
change  the  directory  (diskette)  or  enter another filename.  A
program option  allows you  to view  the names  of all  files with
extensions ".DTA" that are on the diskette in the data drive.

    Because of  the many  data required  by PC-ELMO  before it can
perform an analysis, this input data retrieval option can save you
considerable time when preparing  the input data for  a particular
problem.  Rather than enter all  the data for an analysis  item by
item in all the data tables, a previous set of input data could be
used, and then edited to change only those data that are different
in the new analysis.






               6.  ANALYSIS AND DISPLAYING RESULTS


6.1  INPUT DATA CHECKS

    Selecting the "Perform analysis using present data" task  from
the  Main  Menu  causes  PC-ELMO  to  start  the  analysis  of the
selected  load  management  options  using  the currently resident
problem  data.   Before  any  cost/benefit  calculations are made,
however, the input data is checked for any obvious data errors.  A
check is also made that the analysis problem is properly  defined,
i.e., there is at least one management strategy selected.  If  any
data  errors  are  found,  an  explanatory  error  message will be
displayed.  Upon pressing  any key, the  program then will  return
you to  the Data  Menu where  you can  select the appropriate data
table  to  correct  the  data  error.   If  no  data  errors   are
encountered, the actual economic analysis is begun.


6.2  ECONOMIC CALCULATIONS

    If the initial data checks find no errors in the problem data,
PC-ELMO  automatically  begins  the  economic  analysis of all the
selected management  options.  The  calculations are  performed in
less than a second and,  upon completion, a table summarizing  the
benefits and cost  of all options  is displayed.  From  this table
you can view other Result  Tables which then give a  detailed cost
and benefit breakdown for each option by using the PgUp/PgDn  keys
to cycle among the different Result Tables.

    The Result  Tables are  cyclically connected  so that multiple
pressings of the PgDn  key will sequentially display  the detailed
cost/benefit Result Tables for each option and then return you  to
the Summary  Table after  the last  option result  table has  been
seen.  Similarly, the PgUp key  will cycle you through the  result
tables in reverse order.

    While viewing any Result Table,  the F10 key will take you  to
a  "Display  Results  Menu."   From  this  menu you can select any
particular  Result  Table  for  viewing  (without  having to cycle
through the  intervening tables)  or you  can return  to the  Main
Menu.


6.3  DISPLAYING THE RESULTS

    The Display Results Menu can also be reached from the Main
Menu.  This feature is useful if you wish to see a particular
result from the most recent analysis.  If no analysis has been
performed, then viewing any result table will reveal only zero
entries.







                  7.  PRINTING DATA AND RESULTS


7.1  USE OF PRINTER (.PRT) FILES

    Whenever you request PC-ELMO to print data (fourth and seventh
choices on the Main Menu), you will then be asked if the output is
to be sent directly to your printer or written in a "printer" file
(one with an extension .PRT) on the data disk.

    The  creation  of  a  .PRT  file  may  at  first glance appear
somewhat unusual.  However, this program option has the  advantage
of allowing you  to later edit  the file (with  your favorite text
editor) and to rearrange the  format before printing it.  It  also
allows  you  to  use  PC-ELMO  on  a  system that does not have an
attached printer and, by later  transferring the file or the  disk
to a system with a printer,  you can obtain a printed copy  of the
.PRT file.


7.2  PRINTER INITIALIZATION

    PC-ELMO makes  no attempt  at initializing  the printer (e.g.,
choosing fonts,  paper width,  etc.).  Any  printer initialization
must be performed by the user prior to using PC-ELMO.   Generally,
however, there is no need for any special printer  initialization.
PC-ELMO assumes  the printer  uses 8.5  x 11  inch paper,  and the
output is designed to fit properly on such pages if a 10 cpi  font
is used with the left margin in column zero.  If a smaller pitched
font is used, then printer margins must be set outside the program
to center the text properly on the page.

    Print output is directed to the printer port specified in  the
program initialization file ELMO.INI.  This printer port  (assumed
to be LPT1:, LPT2:, COM1:, or COM2) can be changed during  program
operation from  the "Change  paths, printer,  colors" task  on the
Main Menu.  If no printer  is attached to your computer,  then the
printer port should be specified as NONE to ensure that you do not
accidentally  try  to  send  data  to  a  printer.  Alternatively,
printer output can be directed to the screen by specifying SCRN as
the  printer  port.   The  appropriate  printer port can be stored
permanently by rewriting ELMO.INI after specifying the data paths,
program colors and printer addresses.

    Before any  output is  sent to  the printer,  you are asked to
ensure that the  printer is turned  on and ready  to receive data.
Also you must  ensure that the  printer as at  the top of  a fresh
page before  beginning to  print.  After  printing, PC-ELMO always
tries to advance to the top of a fresh page.



7.3  PRINTING THE INPUT PROBLEM DATA

    A  printed  copy  of  the  current  problem  data (i.e., those
residing in the computer memory) can be obtained by selecting  the
fourth task ("Print the problem  input data") from the Main  Menu.
PC-ELMO will then ask you whether the data is to be sent  directly
to the printer or placed in a .PRT file on the data disk.

    All of the problem data will be printed in an 80 column format
centered for a  font pitch of  10 cpi.  The  output requires three
pages and consists  of the same  data forms used  when entering or
editing the problem data.



7.4  PRINTING ANALYSIS RESULTS

    To  print  the  results  of  a particular analysis, select the
seventh item ("Print results of  analysis") on the Main Menu.   As
with the printing of the  problem data, you will be  asked whether
you want  to send  the results  directly to  the printer  or to  a
printer .PRT file for later editing and printing.

    The  amount  of  printed  output  depends  on  the  number  of
management options that  were selected for  the analysis.  If  all
eight options are selected, the output requires three full  pages.
The output consists of a series of result tables similar to  those
displayed  on  the  screen  following  an  analysis.   There  is a
detailed table for  each selected option  giving all the  cost and
benefit components for the option  as well as the total  costs and
benefits  for  the  option.   Finally,  a  summary  table  for all
selected options is printed giving the overall costs and  benefits
and the b/c ratio for all selected options taken together.



7.5  PRINTING SELECTED RESULTS

    If problem  data or  analysis results  are desired  only for a
single  management  option,  it  is  possible  to  print only this
information by  using the  following procedure.   First make  sure
your printer is turned  on.  Then display the  desired information
(either  the  desired  data  table  or detailed result table), and
press simultaneously  the Shift-PrtSc  keys.  The  contents of the
screen will be sent directly to your printer.






                     8. SENSITIVITY ANALYSES


8.1  PERFORMING A SENSITIVITY ANALYSIS

    In any economic analysis there are many parameters needed  for
the various economic models.   The importance of these  parameters
in determining the results is  generally not known a priori.   One
the the important features of PC-ELMO is its ability to  determine
how  important  the  many  model  parameters  are  in  the overall
analysis results.  By choosing the "Perform sensitivity  analysis"
task from the  Main Menu, the  benefit/cost analysis is  performed
for  a  1%  increase  in  each  model parameter and the percentage
change in the overall benefit/cost  ratio from the base case  (all
model parameters set at their current values) is determined.  Then
these percentage  changes in  the overall  benefit/cost ratio  are
sorted to determine which parameters  have the most effect on  the
benefit/cost ratio.


8.2  VIEWING THE RESULTS

    After performing this parameter sensitivity analysis,  PC-ELMO
then  displays  the  results  in  a  series  of tables ranking the
sensitivity of  each model  parameter in  descending order.   Also
shown  is  the  sensitivity  of each parameter  expressed  as  the
percentage  change  in  the  overall  benefit/cost  ratio  per one
percent increase in the parameter.

    To view  these results,  use the  PgUP/PgDn keys  to view  the
previous/next  sensitivity  table.    These  tables are cyclically
connected, so that the the "next" table after the last one is  the
first table.


8.3  PRINTING THE COMPARISON

    A printed  copy of  any sensitivity  table may  be obtained by
using the  <Shift-PrtSc> feature  of the  IBM PC.  Make sure  your
printer is turned on, and then while the desired sensitivity table
is displayed on the screen press simultaneously the  "Shift-PrtSc"
keys.







             9. MANAGING FILES ON THE DATA DIRECTORY


    PC-ELMO uses the same disk directory to store and retrieve all
the  data  files  and  print  output  files.   Although  this data
directory may be changed many  times during a session, many  users
keep  the  same  data  directory  (diskette)  active throughout an
entire  session.   Consequently,  it  is  possible  that  the data
directory may become filled and  unable to accept more files.   If
this condition should occur, you could simply replace the diskette
if the data directory is not on a hard disk.  However, many of the
files cluttering up the directory probably are temporary files and
are no longer needed.  Thus, rather than changing the diskette  or
directory, it may  be preferable to  erase  some of  the files and
thereby free up some storage space.

    To allow the user to erase files on the data directory without
having to leave the program,  a module has been incorporated  into
PC-ELMO that  allows one  to delete  and rename  files on the data
directory.  This module is entered from the Main Menu by selecting
the penultimate task ("Manage  files on data directory")  from the
Main Menu.   A listing  of the  file names  currently on  the data
directory and available space will then be displayed.

    After all the filenames are  listed, the cursor keys may  then
be used to move the  highlighting to any particular file.   If the
F1 key is pressed, the  highlighted file will be deleted.   If the
F2 key is pressed, you will be asked to enter a new file name  for
the selected file.  In  this way you can  delete or rename any  or
all of  the files  on the  data directory.   Finally, pressing F10
returns you to the Main Menu.







         10. PROGRAM INITIALIZATION AND DATA DIRECTORIES

    When PC-ELMO is loaded, it seeks a special file, ELMO.INI,  on
the default directory.  This files  contains: (1) the path to  the
data directory, (2)  the path for  creating a new  ELMO.INI  file,
and (3) the printer port, (4) the colors you previously chose  for
the program displays, and (5) information about your video  board.
If  ELMO.INI  is  not  found  automatically,  you will be asked to
supply a path to this file or to select the default values.   (The
default values  are the  B: drive  for the  data directory and for
ELMO.INI, the LPT1: printer port, full color for the displays, and
a CGA video board)


10.1  CHANGING DIRECTORIES

    Selection of the "Change paths, printer, colors" task from the
Main Menu, causes the "File Paths and Printer Setup Menu  Profile"
(or "Profile Menu" for short) to be displayed.  From the first two
items  on  this  Profile  Menu,  you  can  move  from directory to
directory while still in the program.  This option thus allows you
to  use  different  data  directories  (diskettes)  for reading or
writing various .PRT or .DTA files.  Similarly, you may change the
directory in  which you  wish to  store a  new initialization file
ELMO.INI.


10.2  CHANGING PRINTERS

    The third item on the Profile Menu allows you to specify which
printer port you wish  to use.  During a  session you may wish  to
change printers, and, by changing  the printer port name, you  can
change  printers  without  leaving  the  program.   By  saving the
initialization file,  the new  printer port  selection will become
the default port when you run PC-ELMO again.

    The permitted printer ports  are the first two  parallel ports
(LPT1:  and  LPT2:)  and  the  first  two  serial ports (COM1: and
COM2:).   When  specifying  a  serial  port  you  may  also supply
various communication  parameters by  entering them  with the port
designation.  The  general form  is (where  [..] indicate optional
parameters)

          COMn:[speed][,[parity][,[data][,[stop]]]]

Here    speed   = baud rate for the printer
        parity  =  N (none), E (even), O (odd)
        data    =  number of data bits per bye (5, 6, 7 or 8)
        stop    = number of stop bits (1, 1.5, or 2)

    Equivalently, the  printer port  can be  initialized prior  to
running PC-ELMO  (usually automatically  from your  AUTOEXEC.BAT).
In this case  one then needs  simply specify COMn:.  No parameters
are needed for a parallel port designation.

    Besides allowing  parallel and  serial printer  ports, PC-ELMO
will also allow  you to direct  printing to the  console screen by
specifying the printer  as SCRN.  However,  this option is  really
useful only  for test  purposes, since  the screen  output goes by
much to quickly to be of any practical use.

    To prevent the program from accidentally trying to send output
to a printer if there is no printer attached to your computer, you
should enter the printer specification as NONE.  In this way,  any
requests to print data will be properly rejected by PC-ELMO.


10.3 CHANGING COLORS

    When the Profile Menu  is displayed, pressing the  F1 function
key will  display a  test menu  and instructions  for changing the
colors of various menu/form  components.  You may experiment  with
different  colors  until  you  generate  an  image  which you find
appealing.  Pressing F10 then returns you to the the Profile  Menu
from which you can resave the initialization file ELMO.INI to make
your  most  recent  color  selections  the  default colors for the
program.


10.4  SAVING YOUR DIRECTORY, PRINTER, AND COLOR CHOICES

    The usual  data paths,  colors, and  printer you  want to  use
routinely  should  be  saved  in  the ELMO.INI initialization file
which  PC-ELMO  automatically  seeks  when  loading.   To save the
current profile values simply press F2 while in the Profile  Menu.
If  a  ELMO.INI  file  already  exists  in  the  indicated profile
directory, you will be asked if it may be overwritten;  otherwise,
the current  profile values  will be  written into  a file  called
ELMO.INI.

    To have this ELMO.INI file read automatically when PC-ELMO  is
loaded, it must  reside on the  default directory.  Otherwise  you
will be asked to supply the path to it.






                 11. MISCELLANEOUS INFORMATION


11.1  ERROR RECOVERY

    Conceivably many different  files can be  written to the  data
disk during  the course  of a  PC-ELMO session.   While no file is
extremely large (the maximum size is just over 10K, although  most
are usually less than 10K), it is possible that the data disk  can
become  filled  or  contain  too  many files.  PC-ELMO produces an
error message for these and other disk-related problems, and  then
returns you to the Main Menu.  Should you encounter a "Disk  Full"
or "Too Many Files" condition, simply use another diskette in  the
data drive and repeat your command.

    It  is  not  expected  that  you  will encounter calculational
errors.  But if some combination of pathological data should  lead
to a calculational error condition (e.g., divide by zero), PC-ELMO
prints  an  error  message  (ERR=  ).   The program then stops and
returns you to DOS. If you encounter such an error, please contact
the author.


11.2  EXAMPLE PROBLEM

    On the distribution diskette there is a file EXAMPLE.DTA which
contains input problem data for an example problem.  This problems
contains  data  to  exercise  all  8  management strategies.  Your
should use this example data  to become familiar with the  program
and how the different modules are interconnected.











                                              Ŀ      Ŀ
                                           Ĵ   DATA MENU   ĴSELECT OPTIONS
                                                  
                                                                   Ŀ      Ŀ      Ŀ
                                                                 Ĵ DATA FORM #1 Ĵ DATA FORM #2 Ĵ DATA FORM #10 
                                                                                
                                                                            
                                           
                                             Ŀ      Ŀ
                                           Ĵ   SAVE DATA   Ĵ show filenames
                                                   
                                             Ŀ      Ŀ
                                           Ĵ RETRIEVE DATA Ĵ show filenames
                                                   
                                             Ŀ      Ŀ
                                           Ĵ  PRINT DATA   Ĵ show filenames
                                                   
                                             Ŀ
                                           Ĵ  do analysis  Ŀ
                                                           
                       Ŀ                                    
                          MAIN MENU   Ĵ                                 
                                                   Ŀ
                                             Ŀ   Ĵ    summary    Ŀ
                                           ĴDISPLAY RESULTS                                       
                                                   Ŀ      Ŀ      Ŀ
                                                                       option #0   Ĵ   options #1  Ĵ   option #8   
                                                                                
                                           
                                             Ŀ      Ŀ
                                           Ĵ PRINT RESULTS Ĵ show filenames
                                                   
                                             Ŀ
                                           Ĵ     EXIT      
                                             
                                             Ŀ
                                           ĴFILE MANAGEMENT
                                             
                                             Ŀ      Ŀ
                                           Ĵ SET PATHS/PRTRĴ  SET  COLORS  
                                                    



                            Fig. 1.  Relation between the various program Menus (upper case) and Display Screens (lower case)


